<!DOCTYPE html>
<html>
<head>
	<title>number methods</title>
</head>
<body>
	<script type="text/javascript">
		//NUMBER METHODS
		console.log("\n\nNUMBER METHODS\n");
		var x = 123;
		console.log("\n\ntoString()");
		console.log(x.toString(), (123).toString(), (100 + 23).toString());

		//toExponential()
		console.log("\n\ntoExponential()");
		var y = 9.656;
		console.log(y.toExponential());
		console.log(y.toExponential(2));	//round off to 2 decimal places

		//toFixed()
		console.log("\n\ntoFixed()");
		console.log(y.toFixed(0));	//rounds to 0 decimal places	
		console.log(y.toFixed(2));	//rounds to 2 decimal places

		//toPrecision
		console.log("\n\ntoPrecision()");	//only 1-21 can be given as parameters
		console.log(y.toPrecision(), y.toPrecision(2), y.toPrecision(4));

		//valueOf()
		console.log("\n\nvalueOf()");
		console.log(x.valueOf(), (123).valueOf(), (100 + 23).valueOf());	

		var x1 = new Number(10);
		console.log(x1.valueOf());

		//converting variables to numbers
		var result = true;
		console.log("using Number() to convert to number");
		console.log(Number(result));
		console.log(Number("10"));
		console.log(Number("10 20"));
		console.log(Number("10 years"));
		console.log("using parseInt() to convert to number");
		console.log(parseInt(result));
		console.log(parseInt("10"));
		console.log(parseInt("10 20"));
		console.log(parseInt("10 years"));
		console.log(parseInt("years 10"));
		console.log("using parseFloat() to convert to number");
		console.log(parseFloat(result));
		console.log(parseFloat("10"));
		console.log(parseFloat("10 20"));
		console.log(parseFloat("10 years"));
		console.log(parseFloat("years 10"));
		console.log(parseFloat('3.3'));

		//number properties
		console.log("Number properties");
		console.log("Max value of number in JS is " + Number.MAX_VALUE);
		console.log("Min value of number in JS is " + Number.MIN_VALUE);
		console.log("-ve infinity value of number in JS is " + Number.NEGATIVE_INFINITY);
		console.log("+ve infinity value of number in JS is " + Number.POSITIVE_INFINITY);
		console.log("NaN value of number in JS is " + Number.NaN);
	</script>
</body>
</html>